"use strict";


script["TalkToSJM"] = [`
scene npc_bedroom
show SJM Normal`,
	{
		"Choice": {
			"Dialog": "What should I talk about?",
			"Array": {
				"Text": "Talk about the array.",
				"Do": "jump TalkToSJMArray",
				"Condition": function () { return true; }
			},
			"Jade": {
				"Text": "Talk about the jade crest.",
				"Do": "jump TalkToSJMJade",
				"Condition": function () {
					return storage.story.progress > 0;
				}
			},
			"Back": {
				"Text": "Go back.",
				"Do": "jump TalkToChoices",
				"Condition": function () { return true; }
			}
		}
	}
];

script["TalkToSJMArray"] = [`
SJM Only the elite disciples of Mo Tian Sect were present on that day. As the youngest of us, Chen Tianhe was in the rear, behind me, where the qi for the death array gathered the most.
SJM I had a talisman that was able to dispel the array’s effect, giving me time to dismantle the array.
SJM Except for me, only Shidi was still standing. He had his sword stuck in the center of the magic circle. His qi was still supplying the array until I seized him.
SJM I didn’t expect that shidi would practice demonic arts, and would trap us like this. It was foolish of me to trust him. Now that the mission had failed, I doubt that the pill rewards would still be given out.
SJM Sigh… I was hoping to get the rare pill…
MC If I remember correctly, the pill rewarded for this mission was rare, but still could be bought with money.
MC There was no need for him to risk his life in the forest in the first place...
`, function () { storage.testimony.array.sjm = 1; return true; }, `
jump TalkToSJM

`];

script["TalkToSJMJade"] = [`
SJM When the death array was activated, I only followed the flow of qi which led me to Chen Tianhe. My attention was on seizing him as swiftly as possible. Accessories were the last thing on my mind.
SJM Nevertheless, as far as I can remember, he didn’t wear his beloved jade crest around his waist as was usual.
SJM Martial brother Zhou doesn’t have to look at me like that. That jade crest has been his trademark since he was officially taken in as Sect Master’s disciple.
`, function () { storage.testimony.jade.sjm = 1; return true; }, `
jump TalkToSJM

`];


script["AccuseSJM"] = [`
MC I suspect Shang Junming was the real culprit.
show SJM Normal
SJM Hmph, Martial Brother Zhou must have lost his mind. In what way am I suspicious?
MC Besides Chen Tianhe, only you were able to move freely and left unharmed.
SJM I received a protection talisman from Shifu. It was a pure coincidence.
hide SJM
show LX Normal
LX That’s correct. I gave him the talisman.
MC But why did you participate in this monthly mission? With your assets, you could have easily bought the rewards somewhere else. There was no need to risk your life.
MC Furthermore, nobody can confirm your testimony since everyone else involved lost consciousness. You framing Chen Tianhe is also a possibility.
hide LX
show SJM Normal
SJM I had my reasons to be there. But that is none of your business.
MC We’ll know the reason sooner or later, once we conduct an investigation.
SJM Fine. I was there to protect Yan Lanye. He wished to collect spiritual plants, even though he was too weak to enter Mo Yao Forest in the first place.
MC Why would you go so far for him? You both have different masters.
SJM He promised to refine pills for me in exchange.
hide SJM
show LX Normal
LX This is absurd! Shang Junming had no demonic artifact, so he couldn't have set up the array!
LX Chen Tianhe is undoubtedly the perpetrator behind this!
jump BadEnd

`];